export const environment: Environment = {
	port: Number.parseInt(process.env.PORT || "8080", 10),
	host: process.env.HOST || "0.0.0.0",
	development:
		process.env.NODE_ENV === "development" || process.argv.includes("--dev"),
};

export const redisTtl: number = process.env.REDIS_TTL
	? Number.parseInt(process.env.REDIS_TTL, 10)
	: 60 * 60 * 1; // 1 hour

// not sure the point ?
// function getClientModBadgesUrl(userId: string): string {
// 	return `https://cdn.jsdelivr.net/gh/Equicord/ClientModBadges-API@main/users/${userId}.json`;
// }

export const badgeServices: badgeURLMap[] = [
	{
		service: "Vencord",
		url: "https://badges.vencord.dev/badges.json",
		authType: "none"
	},
	{
		service: "Equicord", // Ekwekord ! WOOP
		url: "https://raw.githubusercontent.com/Equicord/Equibored/refs/heads/main/badges.json",
		authType: "none"
	},
	{
		service: "Nekocord",
		url: "https://nekocord.dev/assets/badges.json",
		authType: "none"
	},
	{
		service: "ReviewDb",
		url: "https://manti.vendicated.dev/api/reviewdb/badges",
		authType: "none"
	},
	// {
	// 	service: "ClientMods",
	// 	url: getClientModBadgesUrl,
	// }
	{
		service: "Discord",
		url: (id) => `https://discord.com/api/v10/users${id}`,
		authType: "DISCORD"
	}
];
